[<<][nixos][>>][..]
Sat Oct 26 11:34:48 EDT 2019

Something very basic is wrong


tom@phoo:~/exo/br$ nix-shell
mkdir: relocation error: /lib/libc.so.6: symbol _dl_exception_create, version GLIBC_PRIVATE not defined in file ld-linux-x86-64.so.2 with link time reference
stat: relocation error: /lib/libc.so.6: symbol _dl_exception_create, version GLIBC_PRIVATE not defined in file ld-linux-x86-64.so.2 with link time reference
id: relocation error: /lib/libc.so.6: symbol _dl_exception_create, version GLIBC_PRIVATE not defined in file ld-linux-x86-64.so.2 with link time reference
mkdir: relocation error: /lib/libc.so.6: symbol _dl_exception_create, version GLIBC_PRIVATE not defined in file ld-linux-x86-64.so.2 with link time reference
stat: relocation error: /lib/libc.so.6: symbol _dl_exception_create, version GLIBC_PRIVATE not defined in file ld-linux-x86-64.so.2 with link time reference
id: relocation error: /lib/libc.so.6: symbol _dl_exception_create, version GLIBC_PRIVATE not defined in file ld-linux-x86-64.so.2 with link time reference
mkdir: relocation error: /lib/libc.so.6: symbol _dl_exception_create, version GLIBC_PRIVATE not defined in file ld-linux-x86-64.so.2 with link time reference
bash: warning: setlocale: LC_CTYPE: cannot change locale (en_US.UTF-8): No such file or directory


Maybe it needs a pure shell?
Because:

(piksi-nix)tom@phoo:~/exo/br$ git
git: relocation error: /lib/libc.so.6: symbol _dl_exception_create, version GLIBC_PRIVATE not defined in file ld-linux-x86-64.so.2 with link time reference

(piksi-nix)tom@phoo:~/exo/br$ which git
/home/tom/.nix-profile/bin/git

I think this is because my .bashrc puts the path there.

EDOT: Still fails on the same error.

mkdir -p -- .deps
make[1]: Leaving directory '/home/tom/exo/br/target/i586/build/host-gcc-initial-6.4.0/build'
make: *** [package/pkg-generic.mk:250: /home/tom/exo/br/target/i586/build/host-gcc-initial-6.4.0/.stamp_built] Error 2
make: Leaving directory '/home/tom/exo/deps/buildroot'
piksi-env-chrootenv:tom@phoo:~/exo/br$ 


I don't really get a good idea what the problem is, but the guess is
that I'm trying to use clang to compile gcc?

No

piksi-env-chrootenv:tom@phoo:~/exo/br$ gcc --version
gcc (GCC) 7.4.0
Copyright (C) 2017 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.


Can I just switch to gcc 6.4.0 ?

gcc -> gcc6

Then I get a bunch of these:

collision between `/nix/store/681354n3k44r8z90m35hm8945vsp95h1-glibc-2.27/lib64/locale/locale-archive' and `/nix/store/xvj2l5llpmcgx99cl37v5xqpazs38195-glibc-multi-2.27/lib64/locale/locale-archive'







[Reply][About]
[<<][nixos][>>][..]